using CSV
using DataFrames, Statistics
using Plots, StatsPlots
using PGFPlotsX
pgfplotsx()
using LaTeXStrings
using Measures

include("./plotting_utils.jl")

function get_results(ds_name)
	files(ds_name) = readdir(joinpath("results", ds_name), join=true)
	return vcat([CSV.read(joinpath(@__DIR__, p), DataFrame) for p in files(ds_name)]...)
end
function plot_real_data()
	ds_names = [("intel_lab", "Intel Lab"), ("gowalla", "Gowalla"), ("fma_mfcc", "FMA"), ("fasttext_en", "Fasttext")]
	dfs = [(get_results(ds_name), tn) for (ds_name, tn) in ds_names]
	plots = [plot_m_vs_n(df; title=tn, 
						 include_ylabel=(i==1), 
						 include_legend=(i==length(dfs))) 
			 for (i,(df, tn)) in enumerate(dfs)] 
	p = plot(plots...; link=:y, layout=(1,:), size=(600,200))
	display(p) 
	savefig(p, "./plots_realdata.tikz")
end

plot_real_data()
