using CSV
using DataFrames, Statistics
using Plots, StatsPlots
using PGFPlotsX
pgfplotsx()
using LaTeXStrings
using Measures

include("./plotting_utils.jl")

function plot_synthetic_data()
	rpaths = ["results_synthetic_n$(n).csv" for n in [1000,10000,100000]]
	dfs = [CSV.read(joinpath(@__DIR__, p), DataFrame) for p in rpaths]
	plots = [plot_m_vs_n(df; include_ylabel=(i==1), include_legend=(i==3)) for (i, df) in enumerate(dfs)]
	p = plot(plots...; link=:y, layout=(1,:), size=(600,200))
	display(p)
	savefig(p, "./plots_synthetic_datafixed.tikz")
end

plot_synthetic_data()
