module NyströmKME

# Types
export DiscreteKME, NysKME, EmpiricalKME, DistributionKME, KME
# Misc.
export Nyström_KME
export rkhs_dist
export gaussian_kernel, estim_kernel_std

using LinearAlgebra
using StatsBase
using Distributions
using KernelFunctions
using Distances
using BatchIterators
KF = KernelFunctions
using DataFrames

include("types.jl")
include("metrics.jl")

estim_kernel_std(p::Distribution; n=1000) = estim_kernel_std(rand(p, n))
estim_kernel_std(X::Matrix) = median(filter(x->x>0, pairwise(Euclidean(), X, dims=2)))
gaussian_kernel(σ) = SqExponentialKernel() ∘ ScaleTransform(1/σ)

end # module
